<?php
// Default data
$stepbox = array(
	'stepbox_layout' => 'vertical',
	'sb_bgcolor' => 'fafafa',
	'stepbox_title' => 'Start Here - Please Follow These Steps First',
	'sb_title_size' => 24,
	'sb_title_text' => 'Start Here - Please Follow These Steps First',
	'sb_title_color' => '000000',
	'sb_step_bgcolor' => 'dddddd',
	'sb_step_title_size' => 30,
	'sb_step_title_color' => '4d4d4d',
	'sb_desc_size' => 16,
	'sb_desc_color' => '000000',
	'sb_btn1_size' => 14,
	'sb_btn1_color' => 'a8a8a8',
	'sb_btn1_font_color' => '000000',
	'sb_btn2_size' => 14,
	'sb_btn2_color' => 'a8a8a8',
	'sb_btn2_font_color' => '000000',
	'sb_btn3_size' => 14,
	'sb_btn3_color' => 'a8a8a8',
	'sb_btn3_font_color' => '000000',
	'sb_border_width' => 2,
	'sb_border_color' => 'ebebeb',
	'sb_border_style' => 'solid',
	'bonus_id' => 'jvzoo_117637',
	'email' => get_option('admin_email'),
	'email_type' => 'default',
	'fb_url' => 'http://facebook.com/',
	'step1_title' => 'Step 1: Whitelist Our Email Address',
	'step2_title' => 'Step 2: Register for Bonus Live Training',
	'step3_title' => 'Step 3: Join Us in the Facebook Group',
);
$stepbox['step1_desc'] =
"Please be sure to check your spam-filter and mark my emails as 'not spam'. Some email clients may not recognize <b>[WHITELIST_EMAIL]</b> and accidentally filter us. By following these quick and simple instructions you will insure that none of our important updates and messages will end up in your spam folder.";

$stepbox['step2_desc'] =
"This is a very important lesson about building a solid LONG TERM income from your online business. Omar martin has been guiding his students with live weekly coaching for years. He specifically guides you to $1000 per day by providing the EXACT tools he uses himself. I strongly recommend that you take some time to READ THIS ENTIRE PAGE NOW before you proceed.
";

$stepbox['step3_desc'] =
"Our <b>FACEBOOK GROUP</b> is a great way to connect, ask, share and interact with the other members of our website. This is an awesome opportunity to forge long lasting relationships with other internet marketers and create joint ventures and affiliate partnerships!";

$stepbox['email_inst'] =<<<INST
<table style="background-color: #ebebeb; width: 742px; height: 452px; text-align: left; font-family: Arial, Helvetica, sans-serif; font-size:small; margin-left: auto; margin-right: auto;" border="0" cellspacing="1" cellpadding="1">
<tbody>
<tr>
<td>
<table style="background-color: #fafafa; width: 740px; height: 450px; text-align: left; margin-left: auto; margin-right: auto;" border="0" cellpadding="15">
<tbody>
<tr>
<td style="text-align: center;" colspan="3">
<h2><strong>How To Whitelist Our Email Address</strong></h2>
</td>
</tr>
<tr>
<td style="width: 20px;"></td>
<td>Many Internet service providers and email providers have filtering systems or mail blocking in place to protect you from unsolicited or unwanted email. Unfortunately, these same systems often prevent email that you want to receive from reaching you! Whitelisting our email addresses will ensure that the email you have requested from us will reach you.
<p style="text-align: center;" align="&quot;center"><strong><span style="color: #383838;">Please follow the instructions below for your required email client.</span></strong>
Generally, all you need to do is to add the following email addresses to your address book: <strong>Email@YourSite.com</strong></p>
If you are using spam filtering software, you should also enter the above email address into your filtering software whitelist, according to the specific instructions for the software you are using.
<p style="text-align: center;" align="&quot;center"><strong><span style="color: #383838;">URGENT 
- Your email address - potential delivery problems</span></strong></p>
Unfortunately, even after whitelisting it is sometimes necessary to use a different or new email address to ensure you receive everything you need to. If you haven&#39;t received our 
&#39;welcome&#39; email we suggest you get a free gmail or googlemail account (we use these and haven&#39;t had any problems). Please try to avoid using a Hotmail or Yahoo email address because they block far too many emails. You can get a free gmail or google mail (they&#39;re the same 
&amp; the name they use depends on the country you&#39;re in) from <a href="http://mail.google.com/mail/signup">http://mail.google.com/mail/signup </a></td>
<td style="width: 20px;"></td>
</tr>
</tbody>
</table>
</td>
</tr>
</tbody>
</table>
INST;

$stepbox['gmail_inst'] =<<<INST
GMAIL USERS - Check Inbox &amp; Spam Folder

Here's how to add us to your Gmail whitelist:
<ul>
	<li> Follow the Settings link in Gmail.</li>
	<li> Go to Filters.</li>
	<li> Click Create a new filter.</li>
	<li> Type the desired email address under From:.</li>
	<li> Type just the domain name or the domain name preceded by '@'. To whitelist "YOURSITE.com" &amp; "aweber.com", for instance, type "@YOURSITE.com" &amp; "@aweber.com" (not including the quotation marks).</li>
	<li> Click Next Step ››.</li>
	<li> You can click Test Search before, of course, to make sure you did not mistype.</li>
	<li> Make sure Never send it to Spam is checked.</li>
</ul>
INST;

$stepbox['yahoo_inst'] =<<<INST
YAHOO USERS - Check Inbox &amp; Bulk Folder

NOTE: Yahoo Services are often unreliable. It sometimes takes hours or even up to 4 days to get a confirmation email from yahoo. If you do not get one in 5 minutes, resubmit on the previous page and enter a non yahoo email you have that use frequently. Here's how to add us to your Yahoo whitelist:
<ul>
	<li> Open your Yahoo mailbox</li>
	<li> Click "Mail Options"</li>
	<li> Click "Filters"</li>
	<li> Next, click "Add Filter"</li>
	<li> In the top row, labeled "From Header:" make sure "contains" is selected.</li>
	<li> Click in the text box next to that drop-down menu, and enter the address in the "From" line of our e-mail message (Please select the e-mail address from the list provided)</li>
	<li> At the bottom, where it says "Move the message to:" select "Inbox" from the menu.</li>
	<li> Click the "Add Filter" button again.</li>
</ul>
INST;

$stepbox['aol_inst'] =<<<INST
AOL USERS - Check Inbox &amp; Spam Folder

If you're using AOL, here's how to receive our mails:
<ul>
	<li> Go to "Mail Controls"</li>
	<li> Select the screen name we're sending your e-mail to</li>
	<li> Click "Customize Mail Controls For This Screen name."</li>
	<li>For AOL version 7.0: In the section for "exclusion and inclusion parameters", include this domain: YOURSITE.com.</li>
	<li>For AOL version 8.0 &amp; Above: Select "Allow e-mail from all AOL members, e-mail addresses and domains”. Then…</li>
	<li> Click "Next" until the Save button shows up at the bottom</li>
	<li> Click "Save."</li>
</ul>
INST;

$stepbox['hotmail_inst'] =<<<INST
HOTMAIL USERS - Check Inbox &amp; Junk Folder

To receive our emails with Hotmail, please check your inbox and junk folders. Follow these steps if you're having trouble:
<ul>
	<li> Click the "Options" tab"Mail</li>
	<li> Under "Mail Handling" select "Safe List"</li>
	<li> In the space provided, enter the address in the "From" line of this e-mail</li>
</ul>
INST;

?>