<?php 
	$color_fields = array(
	'sb_bgcolor',
	'sb_title_color',
	'sb_step_title_color',
	'sb_step_bgcolor',
	'sb_desc_color',
	'sb_btn1_font_color',
	'sb_btn1_color',
	'sb_btn2_font_color',
	'sb_btn2_color',
	'sb_btn3_font_color',
	'sb_btn3_color',
	'sb_border_color',
	);
?>
<script>
jQuery(document).ready(function($) {
		$('.sb-color-hex').colpick({
		layout:'hex',
		submit:0,
		colorScheme:'dark',
		onChange:function(hsb,hex,rgb,el,bySetColor) {
			$(el).css('border-color','#'+hex);
			if(!bySetColor) $(el).val(hex); 
			$('.save-msg').attr('style', 'color: #d61a1a; padding-left:15px; font-weight: bold;');
			$('.save-msg').text('Stepbox modified');
		}
		}).keyup(function(){
			$(this).colpickSetColor(this.value);
		});
		
		$('#sb_bgcolor').change(function() {
			$('#sb_bgcolor_color').prop('checked', true);
		});
		$('#sb_step_bgcolor').change(function() {
			$('#sb_step_bgcolor_color').prop('checked', true);
		});
        
		$('#sb_saved_id').change(function() {
			window.location.href = '<?php echo admin_url('?page=stepbox&tid=1&stepbox_id=');?>' + $('#sb_saved_id').val();
		});
});
</script>
<style>
<?php foreach($color_fields as $f) { echo "#{$f}, "; } echo '#color'; ?>
{
	margin:0;
	padding:0;
	border:0;
	width:70px;
	height:20px;
	line-height:20px;
}
<?php foreach ($color_fields as $f) : ?>
#<?php echo $f;?> { 	border-right:20px solid #<?php echo ($stepbox[$f])? $stepbox[$f] : 'fff';?>; }
<?php endforeach ?>

</style>
<div id="reg_complete"></div>

<fieldset>
<div class="admin-label"><label>Stepbox Name</label></div>
<div class="admin-field">
<?php if($_GET['stepbox_id']) :?>
	<a href="<?php echo admin_url('?page=stepbox&tid=1');?>" class="button">New Stepbox</a> or Edit
<?php else : ?>
	New Stepbox Name <input type="text" id="sb_name" name="sb_name" value="<?php echo $stepbox['stepbox_name'];?>" required>  load the saved stepbox 
<?php endif ?>

<select name="sb_saved_id" id="sb_saved_id" class="no-modify-check">
	<option value="">-- SELECT --</option>
	<?php foreach($saved_sb as $sb) : ?>
	<option value="<?php echo $sb['id'];?>" <?php echo ($sb['id'] == $_GET['stepbox_id'])? 'selected' : '';?>><?php echo $sb['stepbox_name'];?></option>
	<?php endforeach ?>
</select>

</div>
</fieldset>

<fieldset>
<div class="admin-label"><label>Layout</label></div>
<div class="admin-field">
<input type="radio" name="stepbox_layout" value="horizontal" <?php echo ($stepbox['stepbox_layout'] == 'horizontal')? 'checked' : '';?>> Horizontal
<input type="radio" name="stepbox_layout" value="vertical" <?php echo ($stepbox['stepbox_layout'] == 'vertical')? 'checked' : '';?>> Vertical
</div>
</fieldset>

<fieldset>
<div class="admin-label"><label>Background Color</label></div>
<div class="admin-field">
<input type="radio" name="sb_bgcolor_type" id="sb_bgcolor_none" value="none" <?php echo ($stepbox['sb_bgcolor'] == '')? 'checked' : '';?>> Transparent
<input type="radio" name="sb_bgcolor_type" id="sb_bgcolor_color" value="color" <?php echo ($stepbox['sb_bgcolor'])? 'checked' : '';?>> Custom Color 

#<input type="text" name="sb_bgcolor" id="sb_bgcolor" class="pick-a-color sb-color-hex" value="<?php echo ($stepbox['sb_bgcolor'])? $stepbox['sb_bgcolor'] : '';?>">

</div>
</fieldset>

<fieldset>
<div class="admin-label"><label>Step Box Title (headline)</label></div>
<div class="admin-field">
<input type="text" value="<?php echo htmlentities($stepbox['stepbox_title'],ENT_QUOTES);?>" size="50" name="sb_title">
</div>
<div class="clear-all"></div>
<div class="admin-label"><label>&nbsp;</label></div>
<div class="admin-field">

<select name="sb_title_size">
	<option value="">Font size </option>
	<?php for($i=10; $i<=40; $i++) :?>
		<option value="<?php echo $i; ?>" <?php echo ($stepbox['sb_title_size'] == $i)? 'selected' : '';?>><?php echo $i;?> px</option>
	<?php endfor ?>
</select>

Font color #<input type="text" name="sb_title_color" id="sb_title_color" class="pick-a-color sb-color-hex" value="<?php echo $stepbox['sb_title_color'];?>">

</div>
</fieldset>

<fieldset>
<div class="admin-label"><label>Step Title</label></div>
<div class="admin-field">

<select name="sb_step_title_size">
	<option value="">Font size </option>
	<?php for($i=10; $i<=40; $i++) :?>
		<option value="<?php echo $i; ?>" <?php echo ($stepbox['sb_step_title_size'] == $i)? 'selected' : '';?>><?php echo $i;?> px</option>
	<?php endfor ?>
</select>
Font color #<input type="text" name="sb_step_title_color" id="sb_step_title_color" class="pick-a-color sb-color-hex" value="<?php echo $stepbox['sb_step_title_color'];?>">
</div>
</fieldset>

<fieldset>
<div class="admin-label"><label>Step Background Color</label></div>
<div class="admin-field">
<input type="radio" name="sb_step_bgcolor_type" id="sb_step_bgcolor_none" value="none" <?php echo ($stepbox['sb_step_bgcolor'] == '')? 'checked' : '';?>> Transparent
<input type="radio" name="sb_step_bgcolor_type" id="sb_step_bgcolor_color" value="color" <?php echo ($stepbox['sb_step_bgcolor'])? 'checked' : '';?>> Custom Color 
#<input type="text" name="sb_step_bgcolor" id="sb_step_bgcolor" class="pick-a-color sb-color-hex" value="<?php echo ($stepbox['sb_step_bgcolor'])? $stepbox['sb_step_bgcolor'] : '';?>">
</div>
</fieldset>

<fieldset>
<div class="admin-label"><label>Description</label></div>
<div class="admin-field">

<select name="sb_desc_size">
	<option value="">Font size </option>
	<?php for($i=10; $i<=40; $i++) :?>
		<option value="<?php echo $i; ?>" <?php echo ($stepbox['sb_desc_size'] == $i)? 'selected' : '';?>><?php echo $i;?> px</option>
	<?php endfor ?>
</select>

Font color #<input type="text" name="sb_desc_color" id="sb_desc_color" class="pick-a-color sb-color-hex" value="<?php echo $stepbox['sb_desc_color'];?>">

</div>
</fieldset>

<fieldset>
<div class="admin-label"><label>Buttons</label></div>
<div class="admin-field">
Button1 : Text size
<select name="sb_btn1_size">
	<option value="">Font size </option>
	<?php for($i=10; $i<=40; $i++) :?>
		<option value="<?php echo $i; ?>" <?php echo ($stepbox['sb_btn1_size'] == $i)? 'selected' : '';?>><?php echo $i;?> px</option>
	<?php endfor ?>
</select>

Font color #<input type="text" name="sb_btn1_font_color" id="sb_btn1_font_color" class="pick-a-color sb-color-hex" value="<?php echo $stepbox['sb_btn1_font_color'];?>">

Button color #<input type="text" name="sb_btn1_color" id="sb_btn1_color" class="pick-a-color sb-color-hex" value="<?php echo $stepbox['sb_btn1_color'];?>">

</div>
<div class="clear-all"></div>

<div class="admin-label"><label>&nbsp;</label></div>
<div class="admin-field">
Button2 : Text size
<select name="sb_btn2_size">
	<option value="">Font size </option>
	<?php for($i=10; $i<=40; $i++) :?>
		<option value="<?php echo $i; ?>" <?php echo ($stepbox['sb_btn2_size'] == $i)? 'selected' : '';?>><?php echo $i;?> px</option>
	<?php endfor ?>
</select>

Font color #<input type="text" name="sb_btn2_font_color" id="sb_btn2_font_color" class="pick-a-color sb-color-hex" value="<?php echo $stepbox['sb_btn2_font_color'];?>">

Button color #<input type="text" name="sb_btn2_color" id="sb_btn2_color" class="pick-a-color sb-color-hex" value="<?php echo $stepbox['sb_btn2_color'];?>">
</div>
<div class="clear-all"></div>

<div class="admin-label"><label>&nbsp;</label></div>
<div class="admin-field">
Button3 : Text size
<select name="sb_btn3_size">
	<option value="">Font size </option>
	<?php for($i=10; $i<=40; $i++) :?>
		<option value="<?php echo $i; ?>" <?php echo ($stepbox['sb_btn3_size'] == $i)? 'selected' : '';?>><?php echo $i;?> px</option>
	<?php endfor ?>
</select>

Font color #<input type="text" name="sb_btn3_font_color" id="sb_btn3_font_color" class="pick-a-color sb-color-hex" value="<?php echo $stepbox['sb_btn3_font_color'];?>">

Button color #<input type="text" name="sb_btn3_color" id="sb_btn3_color" class="pick-a-color sb-color-hex" value="<?php echo $stepbox['sb_btn3_color'];?>">

</div>
</fieldset>

<fieldset>
<div class="admin-label"><label>Stepbox Border</label></div>
<div class="admin-field">

<select name="sb_border_width">
	<option value="">Border width </option>
	<?php for($i=1; $i<=10; $i++) :?>
		<option value="<?php echo $i; ?>" <?php echo ($stepbox['sb_border_width'] == $i)? 'selected' : '';?>><?php echo $i;?> px</option>
	<?php endfor ?>
</select>

Border color #<input type="text" name="sb_border_color" id="sb_border_color" class="pick-a-color sb-color-hex" value="<?php echo $stepbox['sb_border_color'];?>">

Border style 
<select name="sb_border_style">
	<option value="solid" <?php echo ($stepbox['sb_border_style'] == 'solid')? 'selected' : '';?>>Solid</option>
	<option value="dotted" <?php echo ($stepbox['sb_border_style'] == 'dotted')? 'selected' : '';?>>Dotted</option>
	<option value="dashed" <?php echo ($stepbox['sb_border_style'] == 'dashed')? 'selected' : '';?>>Dashed</option>
	<option value="double" <?php echo ($stepbox['sb_border_style'] == 'double')? 'selected' : '';?>>Double</option>
</select>
</div>
</fieldset>

<fieldset>
<div class="admin-label"><label> </label></div>
<div class="admin-field">
<input type="button" class="button button-primary save-button" name="stepbox_save" value="Save"> 
</div>
</fieldset>



