<script type="text/javascript">
jQuery(document).ready(function($) {
	$('#sb_step1_desc').keyup(function () {
		var left = <?php echo $max_desc;?> - $(this).val().length;
		if (left < 0) {
			left = 0;
		}
		$('#sb_step1_counter').text('Characters left: ' + left);
	});

	$('input[name="sb_email_type"]').change(function() {
		if($("#stepbox_email_custom").is(":checked")) {
			$("#custom_instructions").attr('style', '');
		} else {
			$("#custom_instructions").attr('style', 'display:none');
		} 
	});
});
</script>

<fieldset>
<div class="admin-label">
<label>Icon Image</label>
</div>
<div class="admin-field">
	<div class="sb-left" style="width: 100px">
	<img src="<?php echo ($stepbox['step1_icon_image'])? $stepbox['step1_icon_image'] : plugins_url( '/stepbox/images/mail.png'); ?>" width="50"> 
	</div>
	<div class="sb-left">
		<input type="file" name="sb_step1_icon_image">
		<br>
		<input type="checkbox" name="remove_step1_icon_image"> Reset to default image
	</div>
	<div class="clear-all"></div>
</div>
</fieldset>

<fieldset>
<div class="admin-label"><label>Title</label></div>
<div class="admin-field">
<input type="text" value="<?php echo htmlentities($stepbox['step1_title'],ENT_QUOTES);?>" name="sb_step1_title" size="50">
</div>
</fieldset>

<fieldset>
	<div class="admin-label">
	Whitelist Your Email 
	</div>
	<div class="admin-field">
	<input type="text" name="sb_email" class="admin-input-text" value="<?php echo $stepbox['email'];?>"> 
	</div>
</fieldset>

<fieldset>
<div class="admin-label">
<label>Description</label> 
</div>
<div class="admin-field">
<textarea name="sb_step1_desc" id="sb_step1_desc" maxlength="<?php echo $max_desc;?>" cols="70" rows="5">
<?php echo $stepbox['step1_desc']; ?>
</textarea>
<div id="sb_step1_counter">Characters left: <?php echo $max_desc - strlen($stepbox['step1_desc']);?></div>
</div>
</fieldset>

<fieldset>
<div class="admin-label">
<label>Button Image (Optional)</label>
</div>
<div class="admin-field">
<div class="sb-left" style="width: 150px">
	<?php echo ($stepbox['step1_button_image'])? "<img src='{$stepbox['step1_button_image']}' width='50'>": '(none selected)'; ?>
	</div>
	<div class="sb-left">
		<input type="file" name="sb_step1_button_image">
		<br>
		<input type="checkbox" name="remove_step1_button_image"> Remove button image
	</div>
	<div class="clear-all"></div>
</div>
</fieldset>

<h3>Setup Whitelist Email Instructions Page</h3>


<fieldset>
	<div class="admin-label">
Page Type 
	</div>
	<div class="admin-field">
	<input type="radio" name="sb_email_type" id="stepbox_email_default" value="default" <?php echo ($stepbox['email_type'] == 'default')? 'checked' : '';?>> Use the <a href="<?php echo $default_whitelist_link;?>" target="_blank">default instructions page</a>
	
		<br>
		<br>
	<input type="radio" name="sb_email_type" id="stepbox_email_custom" value="custom" <?php echo ($stepbox['email_type'] == 'custom')? 'checked' : '';?>> Use custom instructions page
	</div>
</fieldset>

<div id="custom_instructions" style="<?php echo ($stepbox['email_type'] == 'custom')? '' : 'display:none;';?>">
<fieldset>
	<div class="admin-label">
	<?php echo ($stepbox['email_page_id'])? 'Custom Instructions Page ' : 'Custom Instructions Title '; ?> 
	</div>
	<div class="admin-field">
	<?php if($stepbox['email_page_id']) :
		$sb_post = get_post_field('guid', $stepbox['email_page_id']);
	?>
		<strong><?php echo $sb_post;?></strong> 
		<a href="<?php echo admin_url("post.php?post=". $stepbox['email_page_id'] . "&action=edit");?>" class="button" target="_blank">Edit page</a>
		<input type="hidden" name="sb_email_page_id" value="<?php echo $stepbox['email_page_id'];?>">
	<?php else : ?>
		<input type="text" class="admin-input-text" name="sb_email_page_title"> 
	<?php endif ?>
	
	</div>
</fieldset>

<?php if(!$stepbox['email_page_id']) : ?>
	<fieldset>
	<div class="admin-label">
	<label>Custom Instructions Page</label> 
	</div>
	<div class="clear-all"></div>
	<div>
	<?php
	if($version>=3.3) :
		$content = $stepbox['email_inst'];
		$editor_id = 'sb_email_inst';
		wp_editor($content, $editor_id, array('tinymce'=>array('height'=>300),'quicktags'=>false));
	else :
	?>
	<textarea id="stepbox_email_instructions" maxlength="250" cols="70" rows="10" name="sb_mail_inst">
		<?php echo $stepbox['email_inst']; ?>
	</textarea>
	<?php endif ?>
	</div>
	<div class="clear-all"></div>
	</fieldset>

	<fieldset>
	<div class="admin-label">Gmail</div>
	<div class="clear-all"></div>
	<div class="admin-field">
	<div class="sb-left">
	<h4> Image: </h4>
	<!-- <img src="<?php echo $email_image['gmail'];?>"> -->
	<br>
		<input type="file" name="sb_gmail_image">
	<br>
	</div>
	<div class="sb-left">
	<h4> Instructions: </h4>
	<?php if($version>=3.3) :
		$content = $stepbox['gmail_inst'];
		$editor_id = 'sb_gmail_inst';
		wp_editor($content, $editor_id, array('tinymce'=>array('height'=>300),'quicktags'=>false));
	else :
	?>
	<textarea style="width: 450px; height: 250px;" name="sb_gmail_inst"><?php echo $stepbox['gmail_inst']; ?></textarea>
	<?php endif ?>
	</div>
	<div class="clear-all"></div>
	</div>
	</fieldset>

	<fieldset>
	<div class="admin-label">Yahoo</div>
	<div class="clear-all"></div>
	<div class="admin-field">
	<div class="sb-left">
	<h4> Image: </h4>
	<!-- <img src="<?php echo $email_image['yahoo'];?>"> -->
	<br>
		<input type="file" name="sb_yahoo_image">
	<br>
	</div>
	<div class="sb-left">
	<h4> Instructions: </h4>
	<?php if($version>=3.3) :
		$content = $stepbox['yahoo_inst'];
		$editor_id = 'sb_yahoo_inst';
		wp_editor($content, $editor_id, array('tinymce'=>array('height'=>300),'quicktags'=>false));
	else :
	?>
	<textarea style="width: 450px; height: 250px;" name="sb_yahoo_inst"><?php echo $stepbox['yahoo_inst']; ?></textarea>
	<?php endif ?>
	</div>
	<div class="clear-all"></div>
	</div>
	</fieldset>

	<fieldset>
	<div class="admin-label">AOL</div>
	<div class="clear-all"></div>
	<div class="admin-field">
	<div class="sb-left">
	<h4> Image: </h4>
	<!-- <img src="<?php echo $email_image['aol'];?>"> -->
	<br>
		<input type="file" name="sb_aol_image">
	<br>
	</div>
	<div class="sb-left">
	<h4> Instructions: </h4>
  
	<?php if($version>=3.3) :
		$content = $stepbox['aol_inst'];
		$editor_id = 'sb_aol_inst';
		wp_editor($content, $editor_id, array('tinymce'=>array('height'=>300),'quicktags'=>false));
	else :
	?>
	<textarea style="width: 450px; height: 250px;" name="sb_aol_inst"><?php echo $stepbox['aol_inst']; ?></textarea>
	<?php endif ?>
	</div>
	<div class="clear-all"></div>
	</div>
	</fieldset>

	<fieldset>
	<div class="admin-label">Hotmail</div>
	<div class="clear-all"></div>
	<div class="admin-field">
	<div class="sb-left">
	<h4> Image: </h4>
	<!-- <img src="<?php echo $email_image['hotmail'];?>"> -->
	<br>
		<input type="file" name="sb_hotmal_image">
	<br>
	</div>
	<div class="sb-left">
	<h4> Instructions: </h4>

	<?php if($version>=3.3) :
		$content = $stepbox['hotmail_inst'];
		$editor_id = 'sb_hotmail_inst';
		wp_editor($content, $editor_id, array('tinymce'=>array('height'=>300),'quicktags'=>false));
	else :
	?>
	<textarea style="width: 450px; height: 250px;" name="sb_hotmail_inst"><?php echo $stepbox['hotmail_inst']; ?></textarea>
	<?php endif ?>
	</div>
	<div class="clear-all"></div>
	</div>
	</fieldset>

	<fieldset><div class="admin-label">Other</div>
	<div class="clear-all"></div>
	<div class="admin-field">
	<div class="sb-left">
	<h4> Image: </h4>
		<input type="file" name="sb_other_image">
	<br>
	</div>
	<div class="sb-left">
	<h4> Instructions: </h4>

	<?php if($version>=3.3) :
		$content = '';
		$editor_id = 'sb_other_inst';
		wp_editor($content, $editor_id, array('tinymce'=>array('height'=>300),'quicktags'=>false));
	else :
	?>
	<textarea style="width: 450px; height: 250px;" name="sb_other_inst"></textarea>
	<?php endif ?>
	</div>
	<div class="clear-all"></div>
	</div>
	</fieldset>
<?php endif ?>
</div>

<fieldset>
<div class="admin-label"><label> </label></div>
<div class="admin-field">
<input type="button" class="button button-primary save-button" name="stepbox_save_step1" value="Save"> 
</div>
</fieldset>
