<?php
	$sb_bonus_data = $wpdb->get_results("SELECT * FROM " . STEPBOX_BONUS_TABLE . " WHERE bonus_status='active'", ARRAY_A);

?>
<script type="text/javascript">
jQuery(document).ready(function($) {
	$('#sb_step2_desc').keyup(function () {
    var left = <?php echo $max_desc;?> - $(this).val().length;
    if (left < 0) {
        left = 0;
    }
    $('#sb_step2_counter').text('Characters left: ' + left);
});
});
</script>

<fieldset>
<div class="admin-label">
<label>Icon Image</label>
</div>
<div class="admin-field">
	<div class="sb-left" style="width: 100px">
	<img src="<?php echo ($stepbox['step2_icon_image'])? $stepbox['step2_icon_image'] : plugins_url( '/stepbox/images/register.png'); ?>" width="50"> 
	</div>
	<div class="sb-left">
		<input type="file" name="sb_step2_icon_image">
		<br>
		<input type="checkbox" name="remove_step2_icon_image"> Reset to default image
	</div>
	<div class="clear-all"></div>
</div>
</fieldset>

<fieldset>
<div class="admin-label"><label>Title</label></div>
<div class="admin-field">
<input type="text" value="<?php echo htmlentities($stepbox['step2_title'],ENT_QUOTES);?>" name="sb_step2_title" size="50">
</div>
</fieldset>

<h3>Your Bonus Training</h3>
<p>
You must request to become our affiliate in order to receive commissions for EACH product separately.
</p>

<fieldset>
<div class="admin-label"><label>Available Products</label></div>
<div class="admin-field">
<?php foreach($sb_bonus_data as $bonus) :
	$req_url = ($bonus['external_type']=='jvzoo')? 'http://www.jvzoo.com/affiliates/info/' . $bonus['external_id'] : '';
?>
	<div id="bonus_desc_<?php echo "{$bonus['external_type']}_{$bonus['external_id']}";?>" style="display:none"><?php echo $bonus['bonus_desc']; ?></div>
	<div class="stepbox-prod-check">
	<input type="radio" name="sb_bonus_id" id="bonus_id_<?php echo $bonus['id'];?>" value="<?php echo "{$bonus['external_type']}_{$bonus['external_id']}";?>" <?php echo (!$bonus['approved'])? 'disabled' : '';?> <?php echo ($stepbox['bonus_id'] == "{$bonus['id']}" && $bonus['approved'])? 'checked' : '';?>> 
	</div>
	<div class="stepbox-prod">
	 <span id="sb_bonus_text_<?php echo $bonus['id'];?>" style="<?php echo (!$bonus['approved'])? 'color:red;' : '';?>"><?php echo $bonus['bonus_title']; ?></span>
	</div>
	<div class="stepbox-prod-check">
	 <input type="button" id="requst_button_<?php echo $bonus['id'];?>" value="Request" class="button no-modify-check" <?php echo ($bonus['approved'])? 'disabled' : '';?> onClick="window.open('<?php echo $req_url;?>', '_blank');"> 
	 or <input type="checkbox" id="approved_<?php echo $bonus['id'];?>" name="sb_approved[]" value="<?php echo $bonus['id'];?>" class="jv_approved" <?php echo ($bonus['approved'])? 'checked' : '';?>> I'm already approved
	</div>
	<div class="clear-all"></div>
<?php endforeach ?>

	<div class="stepbox-prod">
	<input type="radio"  name="sb_bonus_id" id="bonus_id_99999" value="custom_99999" <?php echo ($stepbox['bonus_id'] == "99999")? 'checked' : '';?>> 
	 Other
	</div>
	<div class="stepbox-prod-check">
	 <input type="text" id="sb_bonus_custom_url" name="sb_bonus_custom_url" value="<?php echo ($stepbox['custom_bonus_url'])? $stepbox['custom_bonus_url'] : '';?>"> (Enter your URL)
	</div>
</div>
</fieldset>

<fieldset>
<div class="admin-label">
<label>Description</label> 
</div>
<div class="admin-field">
<textarea name="sb_step2_desc" id="sb_step2_desc" maxlength="<?php echo $max_desc;?>" cols="70" rows="5">
<?php echo $stepbox['step2_desc']; ?>
</textarea>
<div id="sb_step2_counter">Characters left: <?php echo $max_desc - strlen($stepbox['step2_desc']);?></div>
</div>
</fieldset>

<fieldset>
<div class="admin-label">
<label>Button Image (Optional)</label>
</div>
<div class="admin-field">
<div class="sb-left" style="width: 150px">
	<?php echo ($stepbox['step2_button_image'])? "<img src='{$stepbox['step2_button_image']}' width='50'>": '(none selected)'; ?>
	</div>
	<div class="sb-left">
		<input type="file" name="sb_step2_button_image">
		<br>
		<input type="checkbox" name="remove_step2_button_image"> Remove button image
	</div>
	<div class="clear-all"></div>
</div>
</fieldset>

<fieldset>
<div class="admin-label"><label> </label></div>
<div class="admin-field">
<input type="button" class="button button-primary save-button" name="stepbox_save_step2" value="Save"> 
</div>
</fieldset>

<script>
jQuery(document).ready(function($) {
	$(".jv_approved").click(function() {
		var bonusID = $(this).attr('id').replace(/.+_(\d)/, "$1");
		if($(this).is(':checked')) {
			$('#bonus_id_' + bonusID).removeAttr('disabled');
			$('#requst_button_' + bonusID).attr('disabled','disabled');
			$('#sb_bonus_text_' + bonusID).attr('style','color:black;');
		} else {
			$('#bonus_id_' + bonusID).attr('disabled','disabled');
			$('#bonus_id_' + bonusID).removeAttr('checked');
			$('#requst_button_' + bonusID).removeAttr('disabled');
			$('#sb_bonus_text_' + bonusID).attr('style','color:red;');
		}
		
	});
	$("[name='sb_bonus_id']").change(function(evt) {
		var radioVal = $("input:radio[name=sb_bonus_id]:checked").val();
		if(radioVal != '99999') {
			var descID = 'bonus_desc_' + radioVal;
			$("#sb_step2_desc").html($("#"+descID).html());
		}
	});
});
</script>

