<?php // vertical stepbox 
	if($stepbox['stepbox_options']) {
		$o = unserialize($stepbox['stepbox_options']);
		$stepbox = array_merge($stepbox, $o);
	}
?>
<style>
.sb_container_<?php echo $stepbox['stepbox_code'];?> { 
	width: 100%;
	<?php echo ($stepbox['sb_bgcolor'])? 'background-color:#' .$stepbox['sb_bgcolor'] : '';?> !important;  
	border:<?php echo $stepbox['sb_border_width'];?>px <?php echo $stepbox['sb_border_style'];?> #<?php echo $stepbox['sb_border_color'];?> !important;
	padding: 10px;
}
.sb_title_<?php echo $stepbox['stepbox_code'];?> {
	font-size: <?php echo $stepbox['sb_title_size'];?>px !important;
	color: #<?php echo $stepbox['sb_title_color'];?> !important;
	font-weight: bold;
	display:block;
	padding-bottom: 15px;
	text-align: center;
}
.sb_step_container_<?php echo $stepbox['stepbox_code'];?> {
	
}
.sb_step_title_container_<?php echo $stepbox['stepbox_code'];?> {
	background-color: #<?php echo $stepbox['sb_step_bgcolor'];?> !important;
	padding: 5px;
	line-height: <?php echo $stepbox['sb_step_title_size']+6;?>px;
}
.sb_step_icon_<?php echo $stepbox['stepbox_code'];?> {
	float:left;
	width: 60px;
	vertical-align: middle;
}
.sb_step_title_<?php echo $stepbox['stepbox_code'];?> {
	float:left;
	font-size: <?php echo $stepbox['sb_step_title_size'];?>px !important;
	color: #<?php echo $stepbox['sb_step_title_color'];?> !important;
	vertical-align: middle;
	width: 63%;
}
.sb_step_button_<?php echo $stepbox['stepbox_code'];?> {
	float:right;
	vertical-align: middle;
	padding-right: 5px;
}
.sb_step_desc_<?php echo $stepbox['stepbox_code'];?> {
	padding: 10px;
	font-size: <?php echo $stepbox['sb_desc_size'];?>px !important;
	line-height: <?php echo ($stepbox['sb_desc_size']+4);?>px !important;
	color: #<?php echo $stepbox['sb_desc_color'];?> !important;
}
.sb_btn1_button_<?php echo $stepbox['stepbox_code'];?> {
	font-size: <?php echo $stepbox['sb_btn1_size'];?>px !important;
	color: #<?php echo $stepbox['sb_btn1_font_color'];?> !important;
	background-color: #<?php echo $stepbox['sb_btn1_color'];?> !important;
	padding: 10px !important;
}
.sb_btn2_button_<?php echo $stepbox['stepbox_code'];?> {
	font-size: <?php echo $stepbox['sb_btn2_size'];?>px !important;
	color: #<?php echo $stepbox['sb_btn2_font_color'];?> !important;
	background-color: #<?php echo $stepbox['sb_btn2_color'];?> !important;
	padding: 10px !important;
}
.sb_btn3_button_<?php echo $stepbox['stepbox_code'];?> {
	font-size: <?php echo $stepbox['sb_btn3_size'];?>px !important;
	color: #<?php echo $stepbox['sb_btn3_font_color'];?> !important;
	background-color: #<?php echo $stepbox['sb_btn3_color'];?> !important;
	padding: 10px !important;
}
.sb_clear{
	clear:both;
}
.sb_clear{
	clear:both;
}
</style>

<div class="sb_container_<?php echo $stepbox['stepbox_code'];?>">
<div class="sb_title_<?php echo $stepbox['stepbox_code'];?>"><?php echo $stepbox['stepbox_title']; ?></div>
	<div class="sb_step_container_<?php echo $stepbox['stepbox_code'];?>">
		<div class="sb_step_title_container_<?php echo $stepbox['stepbox_code'];?>">
			<div class="sb_step_icon_<?php echo $stepbox['stepbox_code'];?>">
				<?php if ($stepbox['step1_icon_image']): ?>
					<img src="<?php echo $stepbox['step1_icon_image'];?>" style="width: 50px;display: block;margin: 0px auto;"/>
				<?php else :?>
					<img src="<?php echo $stepbox['plugin_url'] . 'images/mail.png';?>" style="width: 50px;display: block;margin: 0px auto;"/>
				<?php endif ?>
			</div>
			<div class="sb_step_title_<?php echo $stepbox['stepbox_code'];?>">
				<?php echo $stepbox['step1_title']; ?>
			</div>
			<div class="sb_step_button_<?php echo $stepbox['stepbox_code'];?>">
				<?php if ($stepbox['step1_button_image']): ?>
					<img src="<?php echo $stepbox['step1_button_image'];?>" style="width: 100px;display: block;margin: 0px auto;" onClick="window.open('<?php echo $email_url;?>', '_blank')"/>
				<?php else :?>
					<input type="button" name="sb_button1" value="Click Here" style="vertical-align:middle" onClick="window.open('<?php echo $email_url;?>', '_blank')" class="sb_btn1_button_<?php echo $stepbox['stepbox_code'];?>"> 
				<?php endif ?>
			</div>
			<div class="sb_clear"></div>
		</div>
		<div class="sb_step_desc_<?php echo $stepbox['stepbox_code'];?>">
			<?php 
				$desc = str_replace('[WHITELIST_EMAIL]',$stepbox['email'],$stepbox['step1_desc']);
				echo $desc;
			?>
		</div>
	</div>
	
	<div class="sb_step_container_<?php echo $stepbox['stepbox_code'];?>">
		<div class="sb_step_title_container_<?php echo $stepbox['stepbox_code'];?>">
			<div class="sb_step_icon_<?php echo $stepbox['stepbox_code'];?>">
				<?php if ($stepbox['step2_icon_image']): ?>
					<img src="<?php echo $stepbox['step2_icon_image'];?>" style="width: 50px;display: block;margin: 0px auto;"/>
				<?php else :?>
					<img src="<?php echo $stepbox['plugin_url'] . 'images/register.png';?>" style="width: 50px;display: block;margin: 0px auto;"/>
				<?php endif ?>
			</div>
			<div class="sb_step_title_<?php echo $stepbox['stepbox_code'];?>">
				<?php echo $stepbox['step2_title']; ?>
			</div>
			<div class="sb_step_button_<?php echo $stepbox['stepbox_code'];?>">
				<?php if ($stepbox['step2_button_image']): ?>
					<img src="<?php echo $stepbox['step2_button_image'];?>" style="width: 100px;display: block;margin: 0px auto;" onClick="window.open('<?php echo $bonus_url;?>', '_blank')"/>
				<?php else :?>
					<input type="button" name="sb_button2" value="Click Here" style="vertical-align:middle" onClick="window.open('<?php echo $bonus_url;?>', '_blank')"  class="sb_btn2_button_<?php echo $stepbox['stepbox_code'];?>"> 
				<?php endif ?>
			</div>
			<div class="sb_clear"></div>
		</div>
		<div class="sb_step_desc_<?php echo $stepbox['stepbox_code'];?>">
			<?php echo $stepbox['step2_desc']; ?>
		</div>
	</div>
	
	<div class="sb_step_container_<?php echo $stepbox['stepbox_code'];?>">
		<div class="sb_step_title_container_<?php echo $stepbox['stepbox_code'];?>">
			<div class="sb_step_icon_<?php echo $stepbox['stepbox_code'];?>">
				<?php if ($stepbox['step3_icon_image']): ?>
					<img src="<?php echo $stepbox['step3_icon_image'];?>" style="width: 50px;display: block;margin: 0px auto;"/>
				<?php else :?>
					<img src="<?php echo $stepbox['plugin_url'] . 'images/fb.png';?>" style="width: 50px;display: block;margin: 0px auto;"/>
				<?php endif ?>
			</div>
			<div class="sb_step_title_<?php echo $stepbox['stepbox_code'];?>">
				<?php echo $stepbox['step3_title']; ?>
			</div>
			<div class="sb_step_button_<?php echo $stepbox['stepbox_code'];?>">
				<?php if ($stepbox['step3_button_image']): ?>
					<img src="<?php echo $stepbox['step3_button_image'];?>" style="width: 100px;display: block;margin: 0px auto;" onClick="window.open('<?php echo $stepbox['fb_url'];?>', '_blank')"/>
				<?php else :?>
				<input type="button" name="sb_button3" value="Click Here" style="vertical-align:middle" onClick="window.open('<?php echo $stepbox['fb_url'];?>', '_blank')"  class="sb_btn3_button_<?php echo $stepbox['stepbox_code'];?>"> 
				<?php endif ?>
			</div>
			<div class="sb_clear"></div>
		</div>
		<div class="sb_step_desc_<?php echo $stepbox['stepbox_code'];?>">
			<?php echo $stepbox['step3_desc']; ?>
		</div>
	</div>
	
</div>